darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.CommandsAux

Synopsis

- checkPaths :: PatchInspect p => [DarcsFlag] -> FL p wX wY -> IO ()
- maliciousPatches :: PatchInspect p => [Sealed2 p] -> [Sealed2 p]
- hasMaliciousPath :: PatchInspect p => p wX wY -> Bool

# Documentation

checkPaths :: PatchInspect p => [DarcsFlag] -> FL p wX wY -> IO () #

A convenience function to call from all darcs command functions before applying any patches. It checks for malicious paths in patches, and prints an error message and fails if it finds one.

maliciousPatches :: PatchInspect p => [Sealed2 p] -> [Sealed2 p] #

Filter out patches that contains some malicious file path

hasMaliciousPath :: PatchInspect p => p wX wY -> Bool #